# ListManagedServicesPlans Method

## Description

Retrieves a list of Managed Services Plans.

## HTTP Request

`GET https://api.skeddly.com/api/ManagedServices/Plans/`

## Query Parameters

### filter.isIncludeDeleted

Indicates whether deleted plans can be returned.

Type: `boolean`

Required: No

Default: `false`

### filter.planIds

A comma-separated list of plan IDs to include.

Type: `string`

Required: No

Default: All plans

### filter.planType

Indicates the type of plans to return.

Type: `string`

Allowed Values:

* `backup-plan`
* `start-stop-plan`

Required: No

Default: All plans

### filter.projectIds

A comma-separated list of project IDs to include.

Type: `string`

Required: No

Default: All projects

## Returns

Array of [ManagedServicesPlan](https://docs.skeddly.com/data-types/managedservicesplan-object) object.

## Sample Request

{% tabs %}
{% tab title="HTTP" %}

```http
GET /api/ManagedServices/Plans/ HTTP/1.1
Host: api.skeddly.com
Authorization: AccessKey <api key>
```

{% endtab %}

{% tab title="Bash" %}

```bash
curl "https://api.skeddly.com/api/ManagedServices/Plans/" \
  -H "Authorization: AccessKey <api key>"
```

{% endtab %}
{% endtabs %}

## Sample Response

<pre class="language-javascript"><code class="lang-javascript"><strong>[
</strong><strong>    {
</strong>        "planId": "plan-00000001",
        "projectId": "proj-00000001",
        "planType": "start-stop-plan",
        "name": "Start Development Environment",
        
        "state": "active",
        "isEnabled": true,
        "isDeleted": false,
        
        "createdDate": "2023-02-13T00:00:00Z",
        "lastModifiedDate": "2023-02-14T00:00:00Z",
        "lastModifiedBy": "u-00000001",
        
        "schedule": {
            "scheduleType": "daily",
            "timeOfDay": "08:00:00",
            "timeZoneId": "Eastern Standard Time",
            "parameters": {
                "days": [
                    "monday",
                    "tuesday",
                    "wednesday",
                    "thursday",
                    "friday"
                ]
            }
        },
        
        "parameters": {
            "startStopMode": "start-stop-combined",
            "stopTimeInSeconds": 43200
        }
    }
]
</code></pre>
